astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- VOTable XML handling (`astropy.io.votable`) »
- Param

# Param

class `astropy.io.votable.tree.``Param`

  Bases: `astropy.io.votable.tree.Field`

  PARAM element: constant-valued columns in the data.

  `Param` objects are a subclass of `Field`, and have all of its methods and members. Additionally, it defines `value`.

  Attributes Summary

  `value` | [required] The constant value of the parameter. Its type is

  Methods Summary

  `to_xml`(w, **kwargs) | For internal use.

  Attributes Documentation

  `value`

    [required] The constant value of the parameter. Its type is determined by the `datatype` member.

  Methods Documentation

  `to_xml`(w, **kwargs)

    For internal use. Output the element to XML.

    Parameters:

    w : astropy.utils.xml.writer.XMLWriter object

    > An XML writer to write to.

    kwargs : dict

    > Any configuration parameters to control the output.